/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

// @ts-check

/** @type {import('@docusaurus/plugin-content-docs').SidebarsConfig} */
const sidebars = {
  // By default, Docusaurus generates a sidebar from the docs folder structure
   autoSidebar: [{type: 'autogenerated', dirName: '.'}],

  // But you can create a sidebar manually
//   DocsSidebar: [
//     {
//       type: 'category',
//       label: 'About StoneDB',
//       items: ['intro', 'architecture', 'limits', 'terms'],
//     },
//     {
//       type: 'category',
//       label: 'System requirements',
//       items: ['supported-servers-and-oss', 'download'],
//     },
//     {
//       type: 'doc',
//       id: 'download', // doc ID
//       label: 'Download', // sidebar label
//     },
//   ],
};

module.exports = sidebars;
